{namespace n=GeorgRinger\News\ViewHelpers}
{namespace v=FluidTYPO3\Vhs\ViewHelpers}
<!--
	=====================
		Partials/List/Item.html
-->
<div class="c-teaser-list__item" itemscope="itemscope" itemtype="http://schema.org/Article">
    <n:excludeDisplayedNews newsItem="{newsItem}"/>
    <div class="c-teaser   o-media">
        <f:if condition="{newsItem.falMedia}">
            <!-- fal media preview element -->
            <f:then>
                <f:if condition="{newsItem.falMediaPreviews}">
                    <f:then>

                        <f:alias map="{mediaElement: newsItem.falMediaPreviews.0}">
                            <f:if condition="{mediaElement.originalResource.type} == 2">
                                <f:media file="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                                         title="{mediaElement.originalResource.title}"
                                         class="c-teaser__img c-teaser__img--left   o-media__img"/>
                            </f:if>
                            <f:if condition="{mediaElement.originalResource.type} == 4">
                                <f:media file="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                                         title="{mediaElement.originalResource.title}"
                                         class="c-teaser__img c-teaser__img--left   o-media__img"/>
                            </f:if>
                            <f:if condition="{mediaElement.originalResource.type} == 5">
                                <f:media file="{mediaElement}" alt="{mediaElement.originalResource.alternative}"
                                         title="{mediaElement.originalResource.title}"
                                         class="c-teaser__img c-teaser__img--left   o-media__img"/>
                            </f:if>
                        </f:alias>

                    </f:then>
                    <f:else>
                        <f:if condition="{settings.displayDummyIfNoMedia}">
                            <figure class="c-teaser__img c-teaser__img--left   o-media__img"></figure>
                        </f:if>
                    </f:else>
                </f:if>
            </f:then>
            <f:else>
                <f:if condition="{newsItem.media}">
                    <!-- media preview element -->
                    <f:then>
                        <f:if condition="{newsItem.mediaPreviews}">
                            <f:then>
                                <f:alias map="{mediaElement: newsItem.mediaPreviews.0}">
                                    <f:if condition="{mediaElement.type} == 0">
                                        <f:image src="uploads/tx_news/{mediaElement.image}" title="{mediaElement.title}"
                                                 alt="{mediaElement.alt}"
                                                 class="c-teaser__img c-teaser__img--left   o-media__img"/>
                                    </f:if>
                                    <f:if condition="{mediaElement.type} == 1">
                                        <f:render partial="Detail/MediaVideo" arguments="{mediaElement: mediaElement}"/>
                                    </f:if>
                                    <f:if condition="{mediaElement.type} == 2">
                                        <f:render partial="Detail/MediaHtml" arguments="{mediaElement: mediaElement}"/>
                                    </f:if>
                                </f:alias>
                            </f:then>
                            <f:else>
                                <f:if condition="{settings.displayDummyIfNoMedia}">
                                    <figure class="c-teaser__img c-teaser__img--left   o-media__img"></figure>
                                </f:if>
                            </f:else>
                        </f:if>
                    </f:then>
                    <f:else>
                        <f:if condition="{settings.displayDummyIfNoMedia}">
                            <f:then>
                                <figure class="c-teaser__img c-teaser__img--left o-media__img"></figure>
                            </f:then>
                        </f:if>
                    </f:else>
                </f:if>
            </f:else>
        </f:if>

        <div class="c-teaser__content o-media__body">
            <div class="c-teaser__meta   o-meta">
                <!-- date -->
                <f:if condition="{newsItem.isEvent}">
                    <f:then>
                    <span class="o-meta__date">
                        <time datetime="{f:format.date(date:newsItem.datetime, format:'d.m.y H:i')}">
                            <f:format.date format="d.m.y H:i">{newsItem.datetime}</f:format.date>
                            <meta itemprop="startDate"
                                  content="{f:format.date(date:newsItem.datetime, format:'Y-m-d\TH:i:sO')}"/>
                        </time>
                    </span>
                    </f:then>
                    <f:else>
                    <span class="o-meta__date">
                        <time datetime="{f:format.date(date:newsItem.datetime, format:'d.m.y')}">
                            <f:format.date format="d.m.y H:i">{newsItem.datetime}</f:format.date>
                            <meta itemprop="datePublished"
                                  content="{f:format.date(date:newsItem.datetime, format:'Y-m-d')}"/>
                        </time>
                    </span>
                    </f:else>
                </f:if>

                <v:variable.set name="eventStartDay" value="{f:format.date(date:newsItem.datetime, format:'j')}" />
                <v:variable.set name="eventEndDay" value="{f:format.date(date:newsItem.datetimeEnd, format:'j')}" />

                <f:if condition="{newsItem.datetimeEnd}">
                    <f:if condition="{eventEndDay} > {eventStartDay}">
                        <f:then>
                            <v:variable.set name="eventEnd" value="{f:format.date(date:newsItem.datetimeEnd, format:'d.m.y H:i')}" />
                        </f:then>
                        <f:else>
                            <v:variable.set name="eventEnd" value="{f:format.date(date:newsItem.datetimeEnd, format:'H:i')}" />
                        </f:else>
                    </f:if>
                    <span class="o-meta__date">
                        -
                        <time datetime="{f:format.date(date:newsItem.datetimeEnd, format:'d.m.y H:i')}">
                            {eventEnd}
                            <meta itemprop="endDate"
                                  content="{f:format.date(date:newsItem.datetimeEnd, format:'Y-m-d\TH:i:sO')}"/>
                        </time>
                    </span>
                </f:if>

            </div>
            <!-- header -->
            <h3 class="c-teaser__title">
                <n:link class="o-cms-content__header-link" newsItem="{newsItem}" settings="{settings}"
                        title="{newsItem.title}">
                    <span itemprop="headline">{newsItem.title}</span>
                </n:link>
            </h3>
            <!-- teaser -->
            <p itemprop="description">

                <f:if condition="{newsItem.drkCountry}">
                    <span class="c-teaser__region">{newsItem.drkCountry}</span>
                </f:if>

                <f:if condition="{newsItem.teaser}">
                    <f:then>
                        {newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                        respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                    </f:then>
                    <f:else>
                        {newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}',
                        respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
                    </f:else>
                </f:if>
                <n:link newsItem="{newsItem}" settings="{settings}" class="c-teaser__link" title="{newsItem.title}">
                    <f:translate key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:read_more"/>
                </n:link>
            </p>

        </div>
    </div>
</div>
